# Class ConsumablePokemonModifier`Abstract`

#### Hierarchy (view full)

- ConsumableModifier
  - ConsumablePokemonModifier
    - PokemonHpRestoreModifier
    - PokemonStatusHealModifier
    - ConsumablePokemonMoveModifier
    - PokemonAllMovePpRestoreModifier
    - PokemonNatureChangeModifier
    - PokemonLevelIncrementModifier
    - TmModifier
    - RememberMoveModifier
    - EvolutionItemModifier
    - FusePokemonModifier

- Defined in src/modifier/modifier.ts:1104

#####
Index

### Constructors

constructor

### Properties

pokemonId
type

### Methods

add
apply
getPokemon
match
shouldApply

## Constructors

### constructor

- new ConsumablePokemonModifier(type, pokemonId): ConsumablePokemonModifier

- #### Parameters

  - type: ModifierType
  - pokemonId: number

  #### Returns ConsumablePokemonModifier

  Overrides ConsumableModifier.constructor

  - Defined in src/modifier/modifier.ts:1107

## Properties

### pokemonId

pokemonId: number

- Defined in src/modifier/modifier.ts:1105

### type

type: ModifierType

Inherited from ConsumableModifier.type

- Defined in src/modifier/modifier.ts:121

## Methods

### add

- add(_modifiers): boolean

- #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumableModifier.add

  - Defined in src/modifier/modifier.ts:234

### `Abstract` apply

- apply(args): boolean | Promise<boolean>

- #### Parameters

  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from ConsumableModifier.apply

  - Defined in src/modifier/modifier.ts:135

### getPokemon

- getPokemon(scene): PlayerPokemon

- #### Parameters

  - scene: default

  #### Returns PlayerPokemon

  - Defined in src/modifier/modifier.ts:1117

### match

- match(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumableModifier.match

  - Defined in src/modifier/modifier.ts:127

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides ConsumableModifier.shouldApply

  - Defined in src/modifier/modifier.ts:1113